langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.node.blog_teaser_small
    - core.entity_view_mode.node.teaser
    - node.type.blog
    - system.menu.main
  module:
    - node
    - user
    - views_bootstrap
id: blog
label: Blog
module: views
description: ''
tag: ''
base_table: node_field_data
base_field: nid
core: 8.x
display:
  default:
    display_plugin: default
    id: default
    display_title: Master
    position: 0
    display_options:
      access:
        type: perm
        options:
          perm: 'access content'
      cache:
        type: tag
        options: {  }
      query:
        type: views_query
        options:
          disable_sql_rewrite: false
          distinct: false
          replica: false
          query_comment: ''
          query_tags: {  }
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      pager:
        type: full
        options:
          items_per_page: 10
          offset: 0
          id: 0
          total_pages: null
          tags:
            previous: ‹‹
            next: ››
            first: '« First'
            last: 'Last »'
          expose:
            items_per_page: false
            items_per_page_label: 'Items per page'
            items_per_page_options: '5, 10, 25, 50'
            items_per_page_options_all: false
            items_per_page_options_all_label: '- All -'
            offset: false
            offset_label: Offset
          quantity: 9
      style:
        type: default
      row:
        type: 'entity:node'
        options:
          view_mode: teaser
      fields:
        title:
          id: title
          table: node_field_data
          field: title
          entity_type: node
          entity_field: title
          label: ''
          alter:
            alter_text: false
            make_link: false
            absolute: false
            trim: false
            word_boundary: false
            ellipsis: false
            strip_tags: false
            html: false
          hide_empty: false
          empty_zero: false
          settings:
            link_to_entity: true
          plugin_id: field
          relationship: none
          group_type: group
          admin_label: ''
          exclude: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_alter_empty: true
          click_sort_column: value
          type: string
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
      filters:
        status:
          value: '1'
          table: node_field_data
          field: status
          plugin_id: boolean
          entity_type: node
          entity_field: status
          id: status
          expose:
            operator: ''
          group: 1
        type:
          id: type
          table: node_field_data
          field: type
          value:
            blog: blog
          entity_type: node
          entity_field: type
          plugin_id: bundle
      sorts:
        created:
          id: created
          table: node_field_data
          field: created
          order: DESC
          entity_type: node
          entity_field: created
          plugin_id: date
          relationship: none
          group_type: group
          admin_label: ''
          exposed: false
          expose:
            label: ''
          granularity: second
      title: Blog
      header: {  }
      footer: {  }
      empty:
        area:
          id: area
          table: views
          field: area
          relationship: none
          group_type: group
          admin_label: ''
          empty: true
          tokenize: false
          content:
            value: 'No blogs.'
            format: basic_html
          plugin_id: text
      relationships: {  }
      arguments: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url.query_args
        - 'user.node_grants:view'
        - user.permissions
      tags: {  }
  block_archives:
    display_plugin: block
    id: block_archives
    display_title: 'Archives Block'
    position: 5
    display_options:
      display_extenders: {  }
      display_description: ''
      arguments:
        created_year_month:
          id: created_year_month
          table: node_field_data
          field: created_year_month
          relationship: none
          group_type: group
          admin_label: ''
          default_action: summary
          exception:
            value: all
            title_enable: true
            title: All
          title_enable: true
          title: '{{ arguments.created_year_month }}'
          default_argument_type: fixed
          default_argument_options:
            argument: ''
          default_argument_skip_url: false
          summary_options:
            base_path: blog/archive
            count: true
            items_per_page: 25
            override: false
          summary:
            sort_order: asc
            number_of_records: 0
            format: default_summary
          specify_validation: true
          validate:
            type: none
            fail: 'not found'
          validate_options: {  }
          entity_type: node
          plugin_id: date_year_month
      defaults:
        arguments: false
        title: false
        pager: false
      title: Archives
      pager:
        type: some
        options:
          items_per_page: 10
          offset: 0
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - 'user.node_grants:view'
        - user.permissions
      tags: {  }
  block_recent_posts:
    display_plugin: block
    id: block_recent_posts
    display_title: 'Recent Posts Block (Right sidebar)'
    position: 2
    display_options:
      display_extenders: {  }
      display_description: ''
      style:
        type: html_list
        options:
          row_class: ''
          default_row_class: true
          uses_fields: false
          type: ul
          wrapper_class: item-list
          class: ''
      defaults:
        style: false
        row: false
        title: false
        pager: false
      row:
        type: fields
        options:
          default_field_elements: true
          inline: {  }
          separator: ''
          hide_empty: false
      title: 'Recent Posts'
      pager:
        type: some
        options:
          items_per_page: 5
          offset: 0
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - 'user.node_grants:view'
        - user.permissions
      tags: {  }
  block_recent_posts_2:
    display_plugin: block
    id: block_recent_posts_2
    display_title: 'Recent Posts Block (Homepage)'
    position: 3
    display_options:
      display_extenders: {  }
      display_description: ''
      pager:
        type: some
        options:
          items_per_page: 3
          offset: 0
      defaults:
        pager: false
        style: false
        row: false
        title: false
      style:
        type: views_bootstrap_grid
        options:
          row_class: ''
          default_row_class: true
          uses_fields: false
          alignment: horizontal
          columns: '3'
          col_xs: col-xs-12
          col_sm: col-sm-6
          col_md: col-md-4
          col_lg: col-lg-4
      row:
        type: 'entity:node'
        options:
          relationship: none
          view_mode: blog_teaser_small
      title: 'Blog and latest news'
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - 'user.node_grants:view'
        - user.permissions
      tags: {  }
  page_list:
    display_plugin: page
    id: page_list
    display_title: 'Blogs list page'
    position: 1
    display_options:
      display_extenders: {  }
      path: blog
      menu:
        type: normal
        title: Blog
        description: ''
        expanded: false
        parent: ''
        weight: 3
        context: '0'
        menu_name: main
      display_description: ''
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url.query_args
        - 'user.node_grants:view'
        - user.permissions
      tags: {  }
  page_list_archive:
    display_plugin: page
    id: page_list_archive
    display_title: 'Blogs list page (archive)'
    position: 4
    display_options:
      display_extenders: {  }
      path: blog/archive
      menu:
        type: none
        title: Blog
        description: ''
        expanded: false
        parent: ''
        weight: 3
        context: '0'
        menu_name: main
      display_description: ''
      arguments:
        created_year_month:
          id: created_year_month
          table: node_field_data
          field: created_year_month
          relationship: none
          group_type: group
          admin_label: ''
          default_action: summary
          exception:
            value: all
            title_enable: true
            title: All
          title_enable: true
          title: 'Month: {{ arguments.created_year_month }}'
          default_argument_type: fixed
          default_argument_options:
            argument: ''
          default_argument_skip_url: false
          summary_options:
            base_path: ''
            count: true
            items_per_page: 25
            override: false
          summary:
            sort_order: asc
            number_of_records: 0
            format: default_summary
          specify_validation: true
          validate:
            type: none
            fail: 'not found'
          validate_options: {  }
          entity_type: node
          plugin_id: date_year_month
      defaults:
        arguments: false
        title: false
      title: Archive
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - url.query_args
        - 'user.node_grants:view'
        - user.permissions
      tags: {  }
